Page MenuHomePhabricator

histedit: add --no-backup option (issue5825)
ClosedPublic

Authored by khanchi97 on Jul 1 2018, 12:35 PM.

Details

Summary

This option provides a functionality to not store a backup
while aborting histedit in between. Also added tests for the
same.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

khanchi97 created this revision.Jul 1 2018, 12:35 PM
durin42 accepted this revision.Jul 3 2018, 2:12 PM
This revision is now accepted and ready to land.Jul 3 2018, 2:12 PM
pulkit accepted this revision.Jul 4 2018, 3:30 PM
pulkit added a subscriber: pulkit.
pulkit added inline comments.
hgext/histedit.py
928

We can definitely improve this help text here. Please follow-up.

This revision was automatically updated to reflect the committed changes.